[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TInvokeableVariantType.DoFunction

Empty stub for IVarInvokeable.DoFunction, to be implemented in descendents

## Declaration

Source position: variants.pp line 232

`public function TInvokeableVariantType.DoFunction(`
`var Dest: tvardata;`
`const V: tvardata;`
`const Name: string;`
`const Arguments: TVarDataArray`
`):Boolean; virtual;`

## Arguments

`Dest` |  | Result of function call
`V` |  | Variant on which to operate
`Name` |  | Name of function to call
`Arguments` |  | Arguments passed to function

## Function result

Always false

## Description

DoFunction is the default implementation of IVarInvokeable.DoFunction, which always returns False. It must be overridden in descendent classes to implement actual calling of a function.

## See also

IVarInvokeable.DoFunction |  | Called for methods that return a result (functions)